#!/bin/bash

set -e

apt -y install git make gcc g++ \
	libssh-dev libsamplerate0-dev libsndfile1-dev libcdparanoia-dev libid3-3.8.3-dev libcurl4-openssl-dev libpam0g-dev libsoundtouch-dev libasound2-dev libflac++-dev libmad0-dev libtwolame-dev libmp3lame-dev libfaad-dev libqt4-dev libexpat1-dev libtag1-dev \
	libjack-jackd2-dev \
	libdiscid-dev libmusicbrainz5-dev libcoverart-dev \
	python3-mysqldb apache2 mariadb-server \
	libtool m4 automake pkg-config

git clone -b master https://github.com/ElvishArtisan/rivendell.git && cd rivendell
./autogen.sh

#Patch Mysql
patch -p1 < ../rddbmgr.patch

#Config serveur Web & bdd
a2enmod cgid
systemctl restart apache2
mysql < ../rivendell.sql

#Utilsateur & Groupe
adduser --uid 150 --system --group --home=/var/snd rivendell
adduser $1 rivendell
chmod g+w /var/snd

#Compile
export PATH=/sbin:$PATH
./configure --libexecdir=/var/www/rd-bin --sysconfdir=/etc/apache2/conf-available --disable-docbook
make
make install
ldconfig

#Configuration générale
cp conf/rd.conf-sample /etc/rd.conf
a2enconf rd-bin
systemctl reload apache2

rddbmgr --create --generate-audio
#rdalsaconfig
#rdadmin

#Service
systemctl start rivendell
systemctl enable rivendell

#Fin
echo "Exécuter rdalsaconfig pour configurer la carte audio"

exit 0
